{% extends 'base.html.twig' %}

{% block title %}Page List{% endblock %}

{% block body %}
<!-- sidebar + content -->

  <!-- Heading -->
  <div class="bg-primary mb-4">
    <div class="container py-4">
      <h3 class="page-list-name text-white mt-2">{{ page_list_name|e}}</h3>
      <!-- Breadcrumb -->
      <nav class="breadcrumb d-flex mb-2">
        <h6 class="mb-0">
          <a href="/" class="text-white-50">Home</a>
          {% if current_category %}
            <span class="text-white-50 mx-2"> > </span>
            <a href="/category/{{current_category.id|e }}" class="current-category-link text-white"><u>{{current_category.libelle}}</u></a>
          {% endif %}
        </h6>
      </nav>
      <!-- Breadcrumb -->
    </div>
  </div>


<section class="">
  <div class="container">
    <div class="row">
      
      {% block sidebar %}{% include "page_list/sidebar.html.twig" %}{% endblock %}
      
      <!-- content -->
      <div class="col-lg-9">
        <header class="d-sm-flex align-items-center border-bottom mb-4 pb-3">
          <strong class="product-collection-count d-block py-2">{{productCollection|length}} produits trouvés </strong>
        </header>

        <div class="loader">
          <center>
              <img width="50px" style="display:none;" class="loading-image" src="/assets/images/loader.gif" alt="loading..">
          </center>
        </div>

        <div class="product-list">
          {% for product in productCollection %}
            <div class="row justify-content-center mb-3">
                <div class="col-md-12">
                  <div class="card shadow-0 border rounded-3">
                    <div class="card-body">
                      <div class="row g-0">
                        <div class="col-xl-3 col-md-4 d-flex justify-content-center">
                          <div class="bg-image hover-zoom ripple rounded ripple-surface me-md-3 mb-3 mb-md-0">
                            <img src="{{product.image}}" class="w-100" />
                            <a href="#!">
                              <div class="hover-overlay">
                                <div class="mask" style="background-color: rgba(253, 253, 253, 0.15);"></div>
                              </div>
                            </a>
                          </div>
                        </div>
                        <div class="col-xl-6 col-md-5 col-sm-7">
                          <h5>{{ product.libelle|e }}</h5>
                          <p class="text mb-4 mb-md-0">
                          {{ product.description|e }}
                          </p>
                        </div>
                        <div class="col-xl-3 col-md-3 col-sm-5">
                          <div class="d-flex flex-row align-items-center mb-1">
                            <h4 class="mb-1 me-1 {{product.promotion and date(product.promotion.dateDebut) < date() and date(product.promotion.dateFin) > date() ? 'text-danger'}}">
                              {% if product.promotion and date(product.promotion.dateDebut) < date() and date(product.promotion.dateFin) > date() %}
                                {{product.prix - product.promotion.pourcentageRemise / 100 * product.prix|number_format()}}€
                              {% else %}
                                {{product.prix|e}}€
                              {% endif %}
                            </h4>
                            {% if product.promotion and date(product.promotion.dateDebut) < date() and date(product.promotion.dateFin) > date() %}
                              <span>
                                <s>
                                  {{product.prix|e}}€
                                </s>
                              </span>
                            {% endif %}
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
          {% endfor %}
        </div>
      </div>
    </div>
  </div>
</section>
{% endblock %}